package vn.hus.nlp.fsm;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class State
  implements Comparable<State>
{
  private int id;
  private byte type;
  private final List<Transition> outTransitions;

  public State(int paramInt)
  {
    this.id = paramInt;
    this.type = 1;
    this.outTransitions = new ArrayList();
  }

  public State(State paramState)
  {
    this.id = paramState.getId();
    setType(paramState.getType());
    this.outTransitions = paramState.getOutTransitions();
  }

  public void setType(byte paramByte)
  {
    this.type = paramByte;
  }

  public byte getType()
  {
    return this.type;
  }

  public int getId()
  {
    return this.id;
  }

  public void setId(int paramInt)
  {
    this.id = paramInt;
  }

  public int getNumberOfOutTransitions()
  {
    return this.outTransitions.size();
  }

  public List<Transition> getOutTransitions()
  {
    return this.outTransitions;
  }

  public char[] getOutTransitionInputs()
  {
    char[] arrayOfChar = new char[this.outTransitions.size()];
    Iterator localIterator = this.outTransitions.iterator();
    int i = 0;
    while (localIterator.hasNext())
      arrayOfChar[(i++)] = ((Transition)localIterator.next()).getInput();
    return arrayOfChar;
  }

  public String toString()
  {
    String str = "";
    str = str + "(" + getId() + "," + getType() + ")";
    str = str + this.outTransitions.toString();
    return str;
  }

  public String getName()
  {
    return "q_{" + getId() + "}";
  }

  public boolean equals(Object paramObject)
  {
    if ((paramObject instanceof State))
      return getId() == ((State)paramObject).getId();
    return false;
  }

  public boolean isFinalState()
  {
    return this.type == 2;
  }

  public int compareTo(State paramState)
  {
    return getId() - paramState.getId();
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.fsm-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.fsm.State
 * JD-Core Version:    0.6.0
 */