package vn.hus.nlp.fsm.util;

import java.io.PrintStream;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import vn.hus.nlp.fsm.FSM;
import vn.hus.nlp.fsm.State;
import vn.hus.nlp.fsm.Transition;

public final class FSMUtilities
{
  protected static Transition[] getIntransitions(FSM paramFSM, State paramState)
  {
    List localList = (List)paramFSM.getIntransitionMap().get(Integer.valueOf(paramState.getId()));
    if (localList != null)
      return (Transition[])localList.toArray(new Transition[localList.size()]);
    return null;
  }

  public static void statistic(FSM paramFSM)
  {
    System.out.println("Some statistics about the machine: ");
    int i = 0;
    int j = 0;
    Iterator localIterator = paramFSM.getStates().keySet().iterator();
    while (localIterator.hasNext())
    {
      State localState = (State)paramFSM.getStates().get(localIterator.next());
      if (localState.isFinalState())
        j++;
      if (localState.getNumberOfOutTransitions() > i)
        i = localState.getNumberOfOutTransitions();
    }
    System.out.println("\tNumber of states: " + paramFSM.getStates().size());
    System.out.println("\tNumber of final states: " + j);
    System.out.println("\tNumber of transitions: " + paramFSM.getNTransitions());
    System.out.println("\tMaximum number of outtransitions = " + i);
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.fsm-1.0.0.jar
 * Qualified Name:     vn.hus.nlp.fsm.util.FSMUtilities
 * JD-Core Version:    0.6.0
 */