package vn.hus.nlp.sd;

import java.io.File;
import java.io.IOException;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;
import opennlp.maxent.DataStream;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

public class XMLDataStream
  implements DataStream
{
  List<String> dataStream = new ArrayList();
  Iterator<String> dataStreamIterator;

  public XMLDataStream(String paramString)
  {
    SAXParserFactory localSAXParserFactory = SAXParserFactory.newInstance();
    try
    {
      SAXParser localSAXParser = localSAXParserFactory.newSAXParser();
      localSAXParser.parse(new File(paramString), new XMLFileHandler());
    }
    catch (ParserConfigurationException localParserConfigurationException)
    {
      localParserConfigurationException.printStackTrace();
    }
    catch (SAXException localSAXException)
    {
      localSAXException.printStackTrace();
    }
    catch (IOException localIOException)
    {
      localIOException.printStackTrace();
    }
    this.dataStreamIterator = this.dataStream.iterator();
  }

  public boolean hasNext()
  {
    return this.dataStreamIterator.hasNext();
  }

  public Object nextToken()
  {
    return this.dataStreamIterator.next();
  }

  class XMLFileHandler extends DefaultHandler
  {
    XMLFileHandler()
    {
    }

    public void characters(char[] paramArrayOfChar, int paramInt1, int paramInt2)
      throws SAXException
    {
      String str = new String(paramArrayOfChar, paramInt1, paramInt2);
      if (str.trim().length() > 0)
      {
        str = str.replaceAll("[\\r\\n\\f]*", "");
        str = str.replaceAll("\\s+", " ");
        XMLDataStream.this.dataStream.add(str);
      }
    }

    public void skippedEntity(String paramString)
      throws SAXException
    {
      System.out.println(paramString);
    }
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.sd-2.0.0.jar
 * Qualified Name:     vn.hus.nlp.sd.XMLDataStream
 * JD-Core Version:    0.6.0
 */